package co.pixelbeard.theanfieldwrap.data;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class Wallet {

    @SerializedName("wallet_id")
    int walletId;
    @SerializedName("balance")
    int balance;
    @SerializedName("transactions")
    List<Transaction> transactions;

    public Wallet() {
    }

    public Wallet(int walletId, int balance, List<Transaction> transactions) {
        this.walletId = walletId;
        this.balance = balance;
        this.transactions = transactions;
    }

    public int getWalletId() {
        return walletId;
    }

    public void setWalletId(int walletId) {
        this.walletId = walletId;
    }

    public int getBalance() {
        return balance;
    }

    public void setBalance(int balance) {
        this.balance = balance;
    }

    public List<Transaction> getTransactions() {
        return transactions;
    }

    public void setTransactions(List<Transaction> transactions) {
        this.transactions = transactions;
    }
}
